Skip to main content

Get trades report

GET 

/report/{market}/trades

Returns the list of trades from for the specified market and time period made by all Bitvavo users. The returned trades are sorted by their timestamp in a descending order, from the latest to the earliest. Includes the data compliant with the European Markets in Crypto-Assets (MiCA) regulation.

info

This is a public endpoint. However, authenticating your request gives you a higher rate limit.

Rate limit weight points: 5

Request

Path Parameters

    market stringrequired

    The market for which to return the trades.

    Example: BTC-EUR

Query Parameters

    limit integer

    Possible values: >= 1 and <= 1000

    The maximum number of trades to return.

    Default value: 500
    start unix-timestamp in milliseconds

    Possible values: >= 0

    The Unix timestamp starting from which to return trades.

    Can only return trades for a period of up to 24 hours.

    end unix-timestamp in milliseconds

    Possible values: <= 8640000000000000

    The Unix timestamp until which to return trades.

    Cannot be more than 24 hours after the start parameter. Can only return trades for a period of up to 24 hours.

    tradeIdFrom string

    The unique identifier of the trade starting from which to return the trades.

    tradeIdTo string

    The unique identifier of the trade up to which to return the trades.

Responses

The request was successful.

Schema
  • Array [
  • tradeIdstring

    The unique identifier of the trade.

    Example: 57b1159b-6bf5-4cde-9e2c-6bd6a5678baf
    transactTimestampstring<date-time>

    The timestamp when the trade is added to the database.

    Example: 2024-05-02T14:43:11.123456Z
    assetCodestring

    The DTI code or a symbol of the asset.

    Example: 4K6P57CMJ
    assetNamestring

    The full name of the asset.

    Example: Bitcoin
    pricestring

    The price of 1 unit of base currency in the amount of quote currency at the time of the trade. For example, 34243 Euro.

    Example: 34243
    missingPricestring

    Indicates if the price is pending (PNDG) or not applicable (NOAP).

    If not applicable, the returned value might be empty.

    Example: PNDG
    priceNotationstring

    Indicates whether the price is expressed as a monetary value, percentage, yield, or basis points.

    Possible values: [MONE]

    Example: MONE
    priceCurrencystring

    The currency in which the price is expressed.

    Example: EUR
    quantitystring<decimal>

    The quantity of the asset.

    Example: 0.0324
    quantityCurrencystring

    The currency in which the quantity of the crypto asset is expressed.

    Example: EUR
    quantityNotationstring

    Indicates whether the quantity of the crypto asset is expressed as a number of units, nominal value, monetary value, or value in crypto assets.

    Possible values: [CRYP]

    Example: CRYP
    venuestring

    The Market Identifier Code of the Bitvavo trading platform.

    Example: VAVO
    publicationTimestampstring<date-time>

    The timestamp when the trade is added to the database.

    Example: 2025-05-02T14:23:11.123456Z
    publicationVenuestring

    The Market Identifier Code of the trading platform that publishes the transaction.

    Example: VAVO
  • ]